> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get linked sources

> Get a linked source's configuration, catalog, secrets, and trigger mapping for a V2 flow



## OpenAPI

````yaml get /v2/{env_id}/{flow_id}/{tenant}/linkedSources
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /v2/{env_id}/{flow_id}/{tenant}/linkedSources:
    get:
      summary: Get linked sources
      description: >-
        Get a linked source's configuration, catalog, secrets, and trigger
        mapping for a V2 flow
      operationId: linked-sources-get-v2
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
        - name: config
          in: query
          description: Request the underlying config for the linked source
          schema:
            type: boolean
        - name: catalog
          in: query
          description: >-
            Request the catalog of available fields/data to be returned in the
            payload
          schema:
            type: boolean
        - name: secret
          in: query
          description: Request the secret configuration for the linked source
          schema:
            type: boolean
        - name: triggerMapping
          in: query
          description: Request the trigger mapping configuration for the linked source
          schema:
            type: boolean
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    - source_id: asana
                      config: {}
                      catalog: {}
                      secret: {}
                      trigger_mapping: {}
              schema:
                type: array
                items:
                  type: object
                  properties:
                    source_id:
                      type: string
                      description: ID of the linked source
                    config:
                      type: object
                      description: Configuration object for the source
                    catalog:
                      type: object
                      description: Catalog of available fields and data
                    secret:
                      type: object
                      description: Secret configuration for the source
                    trigger_mapping:
                      type: object
                      description: Trigger mapping configuration
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````